=== debian/control ===
Source: snapd
Section: devel
Priority: optional
Maintainer: Michael Hudson-Doyle <mwhudson@debian.org>
Uploaders: Zygmunt Krynicki <me@zygoon.pl>, Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 13),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-golang (>=1.7),
               autoconf,
               autoconf-archive,
               automake,
               bash-completion,
               ca-certificates,
               dbus,
               fakeroot,
               gcc-i686-linux-gnu [amd64] <!nocheck>,
               gettext,
               gnupg2,
               golang-dbus-dev,
               golang-github-bmatcuk-doublestar-dev,
               golang-github-coreos-bbolt-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-gorilla-mux-dev,
               golang-github-jessevdk-go-flags-dev,
               golang-github-juju-ratelimit-dev,
               golang-github-kr-pretty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mvo5-goconfigparser-dev,
               golang-github-rivo-uniseg-dev,
               golang-github-seccomp-libseccomp-golang-dev,
               golang-go (>=2:1.18),
               golang-golang-x-crypto-dev,
               golang-golang-x-time-dev,
               golang-golang-x-xerrors-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-macaroon.v1-dev,
               golang-gopkg-mgo.v2-dev,
               golang-gopkg-retry.v1-dev,
               golang-gopkg-tomb.v2-dev (>= 0.0~git20161208.0.d5d1b58),
               golang-gopkg-tylerb-graceful.v1-dev,
               golang-gopkg-yaml.v2-dev,
               golang-gopkg-yaml.v3-dev,
               grub-common,
               indent,
               libapparmor-dev,
               libblkid-dev,
               libc6-dev-i386-cross [amd64] <!nocheck>,
               libcap-dev,
               libglib2.0-dev,
               liblzo2-dev,
               libseccomp-dev,
               libudev-dev,
               openssh-client,
               pkgconf,
               python3,
               python3-docutils,
               python3-markdown,
               squashfs-tools,
               systemd-dev,
               tzdata,
               udev,
               xfslibs-dev
Standards-Version: 4.7.2
Homepage: https://github.com/snapcore/snapd
Vcs-Browser: https://salsa.debian.org/zyga-guest/snapd
Vcs-Git: https://salsa.debian.org/zyga-guest/snapd.git
XS-Go-Import-Path: github.com/snapcore/snapd

Package: golang-github-snapcore-snapd-dev
Section: golang
Architecture: all
Breaks: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
        golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Replaces: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
          golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Source code of the github.com/snapcore/snapd go module
 This package contains the Go module for all of snapd source code.
 A good chunk of the API is unstable and is not a guaranteed interface.
 The client/ package is more stable and may be used by applications
 looking to integate with the snapd REST API.

Package: snapd
Architecture: any
Depends: adduser,
         apparmor (>= 2.10.95-5),
         ca-certificates,
         default-dbus-session-bus | dbus-session-bus,
         gnupg1 | gnupg,
         kmod,
         libcap2-bin,
         openssh-client,
         squashfs-tools,
         systemd,
         udev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: snap-confine (<< 2.23),
          snapd-xdg-open (<= 0.0.0),
          ubuntu-core-launcher (<< 2.22),
          ubuntu-snappy (<< 1.9),
          ubuntu-snappy-cli (<< 1.9)
Breaks: snap (<< 2013-11-29),
        snap-confine (<< 2.23),
        snapd-xdg-open (<= 0.0.0),
        ubuntu-core-launcher (<< 2.22),
        ubuntu-snappy (<< 1.9),
        ubuntu-snappy-cli (<< 1.9),
        ${snapd:Breaks}
Static-Built-Using: ${misc:Static-Built-Using}
Recommends: gnupg
Suggests: zenity | kdialog
Built-Using: ${Built-Using} ${misc:Built-Using}
Description: Daemon and tooling that enable snap packages
 Install, configure, refresh and remove snap packages. Snaps are
 'universal' packages that work across many different Linux systems,
 enabling secure distribution of the latest apps and utilities for
 cloud, servers, desktops and the internet of things.
 .
 Start with 'snap list' to see installed snaps.
