## snapd 2.73%2Bubuntu25.10

=== core-initrd/25.04/debian/changelog ===
ubuntu-core-initramfs (71+2.72+g197.6ffaa0a+25.04) plucky; urgency=medium

  * Remove duplicated dependencies in control file
  * Update to snapd version 2.72+g197.6ffaa0a

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 21 Oct 2025 21:38:12 -0400

ubuntu-core-initramfs (71+2.72+g99.77dc6ef-dirty+25.04) plucky; urgency=medium

  * Update to snapd version 2.72+g99.77dc6ef-dirty

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 07 Oct 2025 09:19:51 -0400

ubuntu-core-initramfs (71+2.72+g94.e48ddd0-dirty+25.04) plucky; urgency=medium

  * Update to snapd version 2.72+g94.e48ddd0-dirty

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 07 Oct 2025 07:57:57 -0400
