## snapd 2.73+ubuntu22.04

=== core-initrd/25.10/debian/changelog ===
ubuntu-core-initramfs (72+2.72+g197.6ffaa0a+25.10) questing; urgency=medium

  * Remove duplicated dependencies in control file
  * Update to snapd version 2.72+g197.6ffaa0a

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 21 Oct 2025 21:38:28 -0400

ubuntu-core-initramfs (72+2.72+g99.77dc6ef-dirty+25.10) questing; urgency=medium

  * Update to snapd version 2.72+g99.77dc6ef-dirty

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 07 Oct 2025 09:20:35 -0400

ubuntu-core-initramfs (72+2.72+g94.e48ddd0-dirty+25.10) questing; urgency=medium

  * Update to snapd version 2.72+g94.e48ddd0-dirty

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 07 Oct 2025 07:58:20 -0400
