=== core-initrd/26.04/debian/changelog ===
ubuntu-core-initramfs (73+2.72+g197.6ffaa0a+26.04) resolute; urgency=medium

  * Update to snapd version 2.72+g197.6ffaa0a

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 21 Oct 2025 21:38:43 -0400

ubuntu-core-initramfs (73+2.72+g149.d9c5491+26.04) resolute; urgency=medium

  * Remove duplicated dependencies in control file

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 14 Oct 2025 14:52:51 -0400
