=== core-initrd/25.04/debian/control ===
Source: ubuntu-core-initramfs
Section: utils
Priority: optional
Maintainer: Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>
Build-Depends: debhelper-compat (= 13), dh-python,
               fakeroot,
               fonts-ubuntu,
               libblkid-dev,
               golang-go (>=2:1.18~) [!powerpc] | golang-1.18 [!powerpc] | golang-1.21,
               pkgconf,
               optee-client-dev [arm64 armhf]
Standards-Version: 4.4.1
Homepage: https://launchpad.net/ubuntu-core-initramfs

Package: ubuntu-core-initramfs
Architecture: amd64 arm64 armhf riscv64
Depends: ${python3:Depends}, ${misc:Depends}, dracut-core (>= 051-1),
         cpio,
         python3:any,
         busybox-initramfs,
         zstd,
         sbsigntool,
         linux-firmware,
         kcapi-tools (>= 1.4.0-1ubuntu3),
         dbus,
         dmsetup,
         dosfstools,
         dpkg-dev,
         e2fsprogs,
         fakeroot,
         fdisk,
         git,
         kmod,
         libblkid1,
         libgcc-s1,
         libkmod2,
         mount,
         plymouth-label-ft,
         plymouth-theme-spinner,
         squashfs-tools,
         systemd,
         systemd-boot-efi,
         systemd-ukify,
         systemd-bootchart,
         systemd-cryptsetup,
         cryptsetup-bin,
         systemd-sysv,
         tar,
         udev,
         util-linux,
         dh-dlopenlibdeps,
         amd64-microcode [amd64],
         intel-microcode [amd64],
         libteec1 [arm64 armhf]
Description: standard embedded initrd
 Standard embedded initrd implementation to be used with Ubuntu Core
 systems. Currently targeting creating BLS Type2 like binaries.
