=== core-initrd/26.04/debian/changelog ===
ubuntu-core-initramfs (73+2.73+g132.524048f+26.04ubuntu1) UNRELEASED; urgency=medium

  * Change dependency from libteec1 to libteec2

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 14 Jan 2026 17:06:27 -0500

ubuntu-core-initramfs (73+2.73+g132.524048f+26.04) resolute; urgency=medium

  * Update to snapd version 2.73+g132.524048f

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Fri, 09 Jan 2026 08:08:48 -0500

ubuntu-core-initramfs (73+2.73+g76.6a5ca6a+26.04) resolute; urgency=medium

  * Update to snapd version 2.73+g76.6a5ca6a

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 09 Dec 2025 11:56:03 -0500

ubuntu-core-initramfs (73+2.73+g61.07ddf16+26.04) resolute; urgency=medium

  * Update to snapd version 2.73+g61.07ddf16

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 04 Dec 2025 13:28:29 +0000
