=== debian/control ===
Source: snapd
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: autoconf,
               autoconf-archive,
               automake,
               autotools-dev,
               bash-completion,
               ca-certificates,
               dbus,
               debhelper (>= 9),
               debhelper (>= 9.20160709~) | dh-systemd,
               dh-apparmor,
               dh-autoreconf,
               dh-golang (>=1.7),
               fakeroot,
               flake8,
               gcc-multilib [amd64],
               gettext,
               gnupg2,
               golang-go (>=2:1.18~)  [!powerpc] | golang-1.18 [!powerpc] | golang-1.21,
               grub-common,
               indent,
               init-system-helpers,
               libapparmor-dev,
               libblkid-dev,
               libcap-dev,
               libfuse3-dev (>= 3.10.5-1) | libfuse-dev,
               libglib2.0-dev,
               liblzma-dev,
               liblzo2-dev,
               libseccomp-dev,
               libudev-dev,
               m4,
               openssh-client,
               pkg-config,
               python3,
               python3-bs4,
               python3-docutils,
               python3-markdown,
               python3-pytest,
               squashfs-tools,
               tzdata,
               systemd-dev | systemd (<< 255),
               xfslibs-dev
Standards-Version: 3.9.7
Homepage: https://github.com/snapcore/snapd
Vcs-Browser: https://github.com/snapcore/snapd
Vcs-Git: https://github.com/snapcore/snapd.git

Package: golang-github-snapcore-snapd-dev
Architecture: all
Breaks: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
        golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Replaces: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
          golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Depends: ${misc:Depends}
Description: snappy development go packages.
 Use these to use the snappy API.

Package: snapd
Architecture: any
Depends: adduser,
         apparmor (>= 2.10.95-0ubuntu2.2),
         ca-certificates,
         fuse3 (>= 3.10.5-1) | fuse,
         libcap2-bin,
         openssh-client,
         squashfs-tools,
         systemd,
         udev,
         ${dbussession:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: snap-confine (<< 2.23),
          snapd-xdg-open (<= 0.0.0),
          ubuntu-core-launcher (<< 2.22),
          ubuntu-snappy (<< 1.9),
          ubuntu-snappy-cli (<< 1.9)
Breaks: snap-confine (<< 2.23),
        snapd-xdg-open (<= 0.0.0),
        ubuntu-core-launcher (<< 2.22),
        ubuntu-snappy (<< 1.9),
        ubuntu-snappy-cli (<< 1.9),
        ${snapd:Breaks}
Recommends: gnupg
Suggests: zenity | kdialog
Conflicts: snap (<< 2013-11-29-1ubuntu1)
Built-Using: ${Built-Using} ${misc:Built-Using}
Description: Daemon and tooling that enable snap packages
 Install, configure, refresh and remove snap packages. Snaps are
 'universal' packages that work across many different Linux systems,
 enabling secure distribution of the latest apps and utilities for
 cloud, servers, desktops and the internet of things.
 .
 Start with 'snap list' to see installed snaps.
